<?php


if (!defined('ABSPATH')) exit;

require_once ('controls/icons.php');

class themeDraft_elementor_config {

	public function __construct() {
		add_action('elementor/frontend/after_register_scripts', array($this, 'themeDraft_core_register_scripts'));
		add_action('wp_enqueue_scripts', array($this, 'themeDraft_core_enqueue_script'));

	}

	public function themeDraft_core_register_scripts() {
		wp_register_script('google-map-js', plugins_url('/', __FILE__) . 'assets/js/gmap.js', array('jquery'), 1.0, true);
		wp_register_script('event-move', plugins_url('/', __FILE__) . 'assets/js/jquery.event.move.js', array('jquery'), 1.0, true);
		wp_register_script('twentytwenty', plugins_url('/', __FILE__) . 'assets/js/jquery.twentytwenty.js', array('jquery','event-move'), 1.0, true);
	}

	public function themeDraft_core_enqueue_script() {
		if(function_exists('valkuta_option')) {
			$tdMapKey = valkuta_option('gmap_api_key');
			if(!empty($tdMapKey)) {
				wp_enqueue_script( 'google-maps-script', 'https://maps.googleapis.com/maps/api/js?key=' . $tdMapKey . '', array(), 1.0, false );
			}
		}


	}
}

new themeDraft_elementor_config();


class themeDraft_elementor_widget {

	private static $instance = null;

	public static function get_instance() {
		if (!self::$instance) {
			self::$instance = new self;
		}

		return self::$instance;
	}

	public function themeDraft_elementor_widgets() {

		// Check if the Elementor plugin has been installed / activated.
		if (defined('ELEMENTOR_PATH') && class_exists('Elementor\Widget_Base')) {

			require_once('accordion-widget.php');
			require_once('button-widget.php');
			require_once('contact-and-subscribe-widget.php');
			require_once('contact-form7-widget.php');
			require_once('counter-up-widget.php');
			require_once('google-map-widget.php');
			require_once('home-slider-widget.php');
			require_once('icon-box-widget.php' );
			require_once( 'icon-list-widget.php' );
			require_once('image-compare-widget.php');
			require_once('image-slider-widget.php');
			require_once('image-widget.php');
			require_once('masonry-gallery-widget.php');
			require_once('pricing-list-widget.php');
			require_once('pricing-table-widget.php');
			require_once('promo-box-widgets.php' );
			require_once('recent-post-widget.php');
			require_once('search-widget.php');
			require_once('section-title-widget.php');
			require_once('service-box-widget.php');
			require_once('service-box-2-widget.php');
			require_once('service-box-3-widget.php');
			require_once('service-box-4-widget.php');
			require_once('skill-bar-line-widget.php');
			require_once('team-member-info-widget.php');
			require_once('team-member-widget.php');
			require_once('video-popup-widget.php');
			require_once('testimonial-widget.php');
		}
	}

	public function init() {
		add_action('elementor/widgets/register', array($this, 'themeDraft_elementor_widgets'));
	}
}

themeDraft_elementor_widget::get_instance()->init();


// Add New Category In Elementor Widget

function themeDraft_elementor_widget_categories($elements_manager) {

	$elements_manager->add_category(
		'valkuta_elements',
		[
			'title' => __('Valkuta Elements', 'themedraft-core'),
		]
	);

}

add_action('elementor/elements/categories_registered', 'themeDraft_elementor_widget_categories');