<?php

if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}
function themedraft_register_custom_posts() {
	//Team Members

	if(function_exists('valkuta_option')){
		$team_slug = valkuta_option('team_url_slug');
	}else{
		$team_slug = 'team';
	}

	register_post_type('valkuta_team',
		array(
			'labels'       => array(
				'name'                  => __('Team Members', 'themedraft-core'),
				'singular_name'         => __('Team Member', 'themedraft-core'),
				'add_new_item'          => __('Add New Member', 'themedraft-core'),
				'all_items'             => __('All Members', 'themedraft-core'),
				'add_new'               => __('Add New', 'themedraft-core'),
				'edit_item'             => __('Edit Member', 'themedraft-core'),
				'featured_image'        => __('Member Image', 'themedraft-core'),
				'set_featured_image'    => __('Set member image', 'themedraft-core'),
				'remove_featured_image' => __('Remove member image', 'themedraft-core'),
				'use_featured_image'    => __('Use as member image', 'themedraft-core'),
			),
			'rewrite'      => array(
				'slug'       => $team_slug,
				'with_front' => true,
			),
			'hierarchical' => true,
			'public'       => true,
			'show_in_rest'    => true,
			'menu_icon'    => 'dashicons-businessman',
			'supports'     => array('title', 'editor', 'thumbnail', 'page-attributes', 'excerpt'),
		)
	);

	register_taxonomy(
		'valkuta_team_cat',
		'valkuta_team',
		array(
			'hierarchical'      => true,
			'label'             => __('Team Categories', 'themedraft-core'),
			'query_var'         => true,
			'show_admin_column' => true,
			'show_in_rest'    => true,
			'rewrite'           => array(
				'slug'       => ''.$team_slug.'-category',
				'with_front' => true
			)
		)
	);

	register_taxonomy(
		'valkuta_team_tag',
		'valkuta_team',
		array(
			'hierarchical'      => false,
			'label'             => esc_html__( 'Team Tags', 'themedraft-core' ),
			'show_ui'           => true,
			'show_admin_column' => true,
			'query_var'         => true,
			'show_in_rest'    => true,
			'rewrite'           => array(
				'slug'       => ''.$team_slug.'-tag',
				'with_front' => true,
			),
		)
	);

	// Services

	if(function_exists('valkuta_option')){
		$service_slug = valkuta_option('service_url_slug');
	}else{
		$service_slug = 'service';
	}

	register_post_type('valkuta_service',
		array(
			'labels'       => array(
				'name'                  => __('Services', 'themedraft-core'),
				'singular_name'         => __('Service', 'themedraft-core'),
				'add_new_item'          => __('Add New Service', 'themedraft-core'),
				'all_items'             => __('All Services', 'themedraft-core'),
				'add_new'               => __('Add New', 'themedraft-core'),
				'edit_item'             => __('Edit Service', 'themedraft-core'),
				'featured_image'        => __('Service Image', 'themedraft-core'),
				'set_featured_image'    => __('Set Service Image', 'themedraft-core'),
				'remove_featured_image' => __('Remove Service Image', 'themedraft-core'),
				'use_featured_image'    => __('Use as services image', 'themedraft-core'),
			),
			'rewrite'      => array(
				'slug'       => $service_slug,
				'with_front' => true,
			),
			'hierarchical' => true,
			'public'       => true,
			'show_in_rest'    => true,
			'menu_icon'    => 'dashicons-schedule',
			'supports'     => array('title', 'editor', 'thumbnail', 'page-attributes', 'excerpt'),
		)
	);

	register_taxonomy(
		'valkuta_service_cat',
		'valkuta_service',
		array(
			'hierarchical'      => true,
			'label'             => __('Service Categories', 'themedraft-core'),
			'query_var'         => true,
			'show_admin_column' => true,
			'show_in_rest'    => true,
			'rewrite'           => array(
				'slug'       => ''.$service_slug.'-category',
				'with_front' => true
			)
		)
	);

	register_taxonomy(
		'valkuta_service_tag',
		'valkuta_service',
		array(
			'hierarchical'      => false,
			'label'             => esc_html__( 'Service Tags', 'themedraft-core' ),
			'show_ui'           => true,
			'show_admin_column' => true,
			'query_var'         => true,
			'show_in_rest'    => true,
			'rewrite'           => array(
				'slug'       => ''.$service_slug.'-tag',
				'with_front' => true,
			),
		)
	);
}

add_action('init', 'themedraft_register_custom_posts');