<?php
class themedraft_contact_us_widget extends WP_Widget{
    public function __construct(){

        parent::__construct('themedraft_contact_us_widget', esc_html__('ThemeDraft :Contact Info Widget', 'themedraft-core'), array(
            'description'   =>  esc_html__('ThemeDraft contact us widget', 'themedraft-core'),
        ));
    }


    public function widget($args, $instance){
        echo wp_kses_post( $args['before_widget'] );

        if(!empty($instance['title'])){
            echo  wp_kses_post( $args['before_title'] ).apply_filters('widget_title', esc_html($instance['title'])).wp_kses_post( $args['after_title'] );
        };?>

	    <?php if(!empty($instance['short_desc'])){ ?>
            <div class="widget-short-desc">
                <div class="widget-short-dsc">
				    <?php echo wpautop(esc_html($instance['short_desc']));?>
                </div>
            </div>
	    <?php }?>

        <ul class="address-widget-list">

        <?php
        if(!empty($instance['address_desc'])){ ?>
            <li class="widget-address-desc">
                <i class="fas fa-map-marker-alt"></i>
                <div class="widget-addr-dsc">
			        <?php echo wpautop(esc_html($instance['address_desc']));?>
                </div>
            </li>

	        <?php
        }

        if(!empty($instance['widget_mobile'])){ ?>

            <li class="widget-mobile-number">
                <i class="fas fa-mobile-alt"></i>
                <a href="tel:<?php echo esc_html($instance['widget_mobile']);?>"><?php echo esc_html($instance['widget_mobile']);?></a>
            </li>

            <?php }
        if(!empty($instance['email_address'])){ ?>

            <li class="widget-mail-address">
                <i class="fas fa-paper-plane"></i>
                <p class="widget-mail-addr"><a href="mailto:<?php echo esc_html($instance['email_address']);?>"><?php echo esc_html($instance['email_address']);?></a></p>
            </li>

        <?php }
             ?>
            </ul>
            <?php
        echo wp_kses_post( $args['after_widget'] );
    }

    public function form($instance){
        $title = ! empty($instance['title']) ? $instance['title'] : '';

        $short_description = ! empty($instance['short_desc']) ? $instance['short_desc'] : '';

        $address_description = ! empty($instance['address_desc']) ? $instance['address_desc'] : '';

        $widget_mobile = ! empty($instance['widget_mobile']) ? $instance['widget_mobile'] : '';

        $widget_email = ! empty($instance['email_address']) ? $instance['email_address'] : '';


        ?>

        <p>
            <label for="<?php echo esc_attr($this->get_field_id('title'));?>"> <?php echo esc_html__( 'Title', 'themedraft-core' );?></label>

            <input id="<?php echo esc_attr($this->get_field_id('title'));?>" class="widefat" type="text" name="<?php echo esc_attr($this->get_field_name('title'));?>" value="<?php echo esc_attr($title); ?>">
        </p>

        <p>
            <label for="<?php echo esc_attr($this->get_field_id('short_desc'));?>"> <?php echo esc_html__( 'Short Description', 'themedraft-core' );?></label>

            <textarea  cols="30" rows="3" id="<?php echo esc_attr($this->get_field_id('short_desc'));?>" class="widefat" type="textarea" name="<?php echo esc_attr($this->get_field_name('short_desc'));?>"><?php echo esc_html($short_description); ?></textarea>
        </p>

        <p>
            <label for="<?php echo esc_attr($this->get_field_id('address_desc'));?>"> <?php echo esc_html__( 'Location Description', 'themedraft-core' );?></label>

            <textarea  cols="30" rows="3" id="<?php echo esc_attr($this->get_field_id('address_desc'));?>" class="widefat" type="textarea" name="<?php echo esc_attr($this->get_field_name('address_desc'));?>"><?php echo esc_html($address_description); ?></textarea>
        </p>

        <p>
            <label for="<?php echo esc_attr($this->get_field_id('widget_mobile'));?>"> <?php echo esc_html__( 'Mobile Number', 'themedraft-core' );?></label>

            <input id="<?php echo esc_attr($this->get_field_id('widget_mobile'));?>" class="widefat" type="text" name="<?php echo esc_attr($this->get_field_name('widget_mobile'));?>" value="<?php echo esc_attr($widget_mobile); ?>">
        </p>

        <p>
            <label for="<?php echo esc_attr($this->get_field_id('title'));?>"> <?php echo esc_html__( 'Email', 'themedraft-core' );?></label>

            <input id="<?php echo esc_attr($this->get_field_id('email_address'));?>" class="widefat" type="text" name="<?php echo esc_attr($this->get_field_name('email_address'));?>" value="<?php echo esc_attr($widget_email); ?>">
        </p>

    <?php }

    public function update( $new_instance, $old_instance ){
        $instance                  = $old_instance;

        $instance['title']         = ( ! empty( $new_instance['title'] ) ) ? sanitize_text_field( $new_instance['title'] ) : '';

        $instance['short_desc']         = ( ! empty( $new_instance['short_desc'] ) ) ? wp_kses_post( $new_instance['short_desc'] ) : '';

        $instance['address_desc']         = ( ! empty( $new_instance['address_desc'] ) ) ? wp_kses_post( $new_instance['address_desc'] ) : '';

        $instance['email_address']         = ( ! empty( $new_instance['email_address'] ) ) ? sanitize_text_field( $new_instance['email_address'] ) : '';

        $instance['widget_mobile']         = ( ! empty( $new_instance['widget_mobile'] ) ) ? sanitize_text_field( $new_instance['widget_mobile'] ) : '';


        return $instance;
    }
}

function themedraft_init_contact_us_widget(){
    register_widget('themedraft_contact_us_widget');
}

add_action('widgets_init', 'themedraft_init_contact_us_widget');